(function( $ ) {
	'use strict';

	$( document ).ready(function() {

		jQuery(document.body).off('select2:select', '.globals_attr').on("select2:select",'.globals_attr', function(evt)
		{
			if($(this).attr('id') == 'custom_global_attribute'){

				load_globals_attributes(evt.params.data);
			}

		});

		jQuery(document.body).off('select2:unselect', '.globals_attr').on("select2:unselect",'.globals_attr', function(evt)
		{
			if($(this).attr('id') == 'custom_global_attribute'){

					var new_data = $.grep($('#global_product_attribute').select2('data'), function (value) {

						var tax = value.id.split('|');

						return tax[0] != evt.params.data.id;
						
					});
					$('#global_product_attribute').select2('data', new_data);

					$("#global_product_attribute optgroup[data-tax='"+ evt.params.data.id +"']").remove();

			}

		});


		

	});


})( jQuery );

function load_globals_attributes(obj){

	var data = {
		'action': 'load_globals_attributes',
		'taxonomy': obj.id,
		'taxonomy_label': obj.text,
	};

	var select2 = jQuery("#global_product_attribute");
	select2.prop("disabled", true);
	var placeholder = select2.attr("data-placeholder");
	select2.attr("placeholder", 'Loading...');
	select2.select2();


	jQuery.post(ajaxurl, data, function(response) {

		jQuery.each(response, function(key, value) {

			var group = jQuery('<optgroup label="'+ value.label +'" data-tax="'+ obj.id +'"></optgroup>');
			jQuery.each(value.values, function(key2, value2) {

				group.append(jQuery("<option></option>")
					.attr("value" ,  obj.id + "|" +  obj.text+ '|' + key2 + '|' + value2)
					.attr("id" ,obj.id)
					.text(value2));
			});
			jQuery('#global_product_attribute').append(group);
		});

		select2.prop("disabled", false);
		select2.prop("disabled", false);
		select2.attr("placeholder", placeholder);
		select2.select2();
	},'json');
}
