<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       http://ecreations.net/
 * @since      1.0.0
 *
 * @package    Woocommerce_Attributes_Discount
 * @subpackage Woocommerce_Attributes_Discount/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Woocommerce_Attributes_Discount
 * @subpackage Woocommerce_Attributes_Discount/includes
 * @author     ecreations <josel@ecreations.net>
 */
class Woocommerce_Attributes_Discount_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'woocommerce-attributes-discount',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
