<?php

/**
 * @link              http://ecreations.net/
 * @since             1.0.0
 * @package           Woocommerce_Attributes_Discount
 *
 * @wordpress-plugin
 * Plugin Name:       Woocommerce Attributes Discount
 * Plugin URI:        ecreations.net
 * Description:       This plugin adds functionality to the WooCommerce coupons and allows for select globals Product Attributes in the coupon restrictions
 * Version:           1.0.0
 * Author:            ecreations
 * Author URI:        http://ecreations.net/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       woocommerce-attributes-discount
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-woocommerce-attributes-discount-activator.php
 */
function activate_woocommerce_attributes_discount() {
 
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-woocommerce-attributes-discount-activator.php';
	$plugin_object = new Woocommerce_Attributes_Discount();
	Woocommerce_Attributes_Discount_Activator::activate($plugin_object);
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-woocommerce-attributes-discount-deactivator.php
 */
function deactivate_woocommerce_attributes_discount() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-woocommerce-attributes-discount-deactivator.php';
	Woocommerce_Attributes_Discount_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_woocommerce_attributes_discount' );
register_deactivation_hook( __FILE__, 'deactivate_woocommerce_attributes_discount' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-woocommerce-attributes-discount.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_woocommerce_attributes_discount() {

	$plugin = new Woocommerce_Attributes_Discount();
	$plugin->run();

}
run_woocommerce_attributes_discount();
